const { defineConfig } = require("@vue/cli-service");
module.exports = defineConfig({
  chainWebpack: (config) => {
    // 修改网页标题
    config.plugin("html").tap((args) => {
      args[0].title = "内置网页";
      return args;
    });
  },
  lintOnSave: false,
  transpileDependencies: true,
  devServer: {
    host: "localhost",
    port: 8088,
    open: true,
    proxy: {
      "/api": {
        target: "http://192.168.1.104:5000", // 请求代理地址用来解决跨域
      },
    },
  },
});
